html,
body {
	scroll-behavior: smooth;
}

#opportunities-container {
	margin-top: 50px;
	display: grid;
	width: 100%;
	place-items: center;
	padding-bottom: 10px;


}

#search-opportunities {
	text-decoration: none;
	outline: 0px;
	border: none;
	font-size: 24px;
}

#opportunities-list {
	display: grid;
	grid-auto-flow: row;
	grid-gap: 10px;
	width: 80%;
	transition: transform 0.3s ease-in-out;
}

.opportunity {
	text-decoration: none;
	width: 100%;
	border-radius: 15px;
	/* background-color: rgb(60, 138, 71); */
	background: linear-gradient(to right, hsl(98, 52%, 76%), hsl(219, 38%, 50%));
	text-align: center;
	color: white;
	padding-bottom: 20px;
}

.opp {
	text-decoration: none;
	color: white;
}

#search-container {
	margin: auto;
	display: grid;
	width: max-content;
	grid-template-columns: max-content max-content;
	place-items: center;
	gap: 20px;
	background-color: white;
	padding: 4px;
	border-radius: 6px;
}

#submit-button {
	margin-top: 0;
	/* Set an appropriate value */
	height: 35px;
	width: 35px;
	background-color: rgb(255, 255, 255);
	border-radius: 5px;
	display: flex;
	/* or display: grid */
	justify-content: center;
	/* Center horizontally */
	align-items: center;
	/* Center vertically */
}

#submit-button img {
	width: 30px;
	aspect-ratio: 1 / 1;
}

.btn {
	margin-block: 10px;
	border-radius: 0.375rem;
	background: hsla(195, 53%, 79%, 70%);
	padding: 0.5rem;
	color: white;
	width: 500px;
	transition-duration: 250ms;
	text-decoration: none;
}

.btn:hover {
	background-color: hsla(195, 53%, 79%, 100%);
}

#search-container img {
	height: 25px;
}

body {
	font-family: Arial, sans-serif;
}

#myBtn {
	display: none;
	position: fixed;
	bottom: 20px;
	right: 30px;
	z-index: 99;
	border: none;
	outline: none;
	background-color: #0074D9;
	color: white;
	cursor: pointer;
	padding: 15px;
	border-radius: 10px;
	font-size: 18px;
}

#myBtn:hover {
	background-color: #0056b3;
}

.fade-in {
	opacity: 0;
	animation: 800ms ease-out forwards fade;
	overflow-y: hidden;
}

@keyframes fade {
	from {
		opacity: 0;
		transform: translateY(100px);
	}

	to {
		opacity: 1;
		transform: translateY(0);
	}
}

.opportunity {
	position: relative;
}

.opportunity::after {
	content: "Click for more info";
	position: absolute;
	top: 2.5px;
	/* Adjust as needed */
	left: 50%;
	transform: translateX(-50%);
	background-color: rgba(0, 0, 0, 0.8);
	color: #ffffff;
	padding: 5px 10px;
	border-radius: 5px;
	font-size: 12px;
	opacity: 0;
	/* Initially hidden */
	pointer-events: none;
	/* Ensure pseudo-element doesn't interfere with mouse events */
	transition: opacity 0.3s ease-in-out;
}

.opportunity:hover::after {
	opacity: 1;
	/* Display message on hover */
}

/* Optional styling for when the message is displayed */
.opportunity.hovered::after {
	opacity: 1;
}

.title {
	color: #eee;
	text-align: center;
}
a {
    text-decoration: none;
}